Bug 1297915 - [abrt] gnome-shell: g_type_check_instance_is_fundamentally_a(): gnome-shell killed by SIGSEGV
[abrt] gnome-shell: g_type_check_instance_is_fundamentally_a(): gnome-shell k...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f3aebbb4671f4c683032d4157cd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-12 13:42 EST by Mikko Tiihonen
Modified: 2017-08-08 08:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:39:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.62 KB, text/plain)
2016-01-12 13:42 EST, Mikko Tiihonen
no flags Details
File: cgroup (242 bytes, text/plain)
2016-01-12 13:42 EST, Mikko Tiihonen
no flags Details
File: core_backtrace (4.16 KB, text/plain)
2016-01-12 13:43 EST, Mikko Tiihonen
no flags Details
File: dso_list (24.07 KB, text/plain)
2016-01-12 13:43 EST, Mikko Tiihonen
no flags Details
File: environ (1.42 KB, text/plain)
2016-01-12 13:43 EST, Mikko Tiihonen
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-12 13:43 EST, Mikko Tiihonen
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-12 13:43 EST, Mikko Tiihonen
no flags Details
File: maps (141.50 KB, text/plain)
2016-01-12 13:43 EST, Mikko Tiihonen
no flags Details
File: mountinfo (3.64 KB, text/plain)
2016-01-12 13:43 EST, Mikko Tiihonen
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-12 13:43 EST, Mikko Tiihonen
no flags Details
File: open_fds (4.49 KB, text/plain)
2016-01-12 13:43 EST, Mikko Tiihonen
no flags Details
File: proc_pid_status (1.18 KB, text/plain)
2016-01-12 13:43 EST, Mikko Tiihonen
no flags Details
File: var_log_messages (16.05 KB, text/plain)
2016-01-12 13:43 EST, Mikko Tiihonen
no flags Details

  None (edit)
Description Mikko Tiihonen 2016-01-12 13:42:51 EST
Version-Release number of selected component:
gnome-shell-3.19.3-1.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/gnome-shell
global_pid:     2190
kernel:         4.4.0-0.rc8.git3.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_is_fundamentally_a at gtype.c:4033
 #1 g_object_ref at gobject.c:3049
 #2 g_hash_table_foreach at ghash.c:1608
 #3 spi_cache_foreach at accessible-cache.c:417
 #4 impl_GetItems at cache-adaptor.c:286
 #5 handle_other at droute.c:553
 #6 handle_message at droute.c:600
 #7 _dbus_object_tree_dispatch_and_unlock at ../../dbus/dbus-object-tree.c:1020
 #9 message_queue_dispatch at atspi-gmain.c:89
 #14 meta_run at core/main.c:521

Potential duplicate: bug 1296273
Comment 1 Mikko Tiihonen 2016-01-12 13:42:57 EST
Created attachment 1114074 [details]
File: backtrace
Comment 2 Mikko Tiihonen 2016-01-12 13:42:59 EST
Created attachment 1114075 [details]
File: cgroup
Comment 3 Mikko Tiihonen 2016-01-12 13:43:00 EST
Created attachment 1114076 [details]
File: core_backtrace
Comment 4 Mikko Tiihonen 2016-01-12 13:43:02 EST
Created attachment 1114077 [details]
File: dso_list
Comment 5 Mikko Tiihonen 2016-01-12 13:43:03 EST
Created attachment 1114078 [details]
File: environ
Comment 6 Mikko Tiihonen 2016-01-12 13:43:05 EST
Created attachment 1114079 [details]
File: exploitable
Comment 7 Mikko Tiihonen 2016-01-12 13:43:06 EST
Created attachment 1114080 [details]
File: limits
Comment 8 Mikko Tiihonen 2016-01-12 13:43:09 EST
Created attachment 1114081 [details]
File: maps
Comment 9 Mikko Tiihonen 2016-01-12 13:43:10 EST
Created attachment 1114082 [details]
File: mountinfo
Comment 10 Mikko Tiihonen 2016-01-12 13:43:11 EST
Created attachment 1114083 [details]
File: namespaces
Comment 11 Mikko Tiihonen 2016-01-12 13:43:13 EST
Created attachment 1114084 [details]
File: open_fds
Comment 12 Mikko Tiihonen 2016-01-12 13:43:14 EST
Created attachment 1114085 [details]
File: proc_pid_status
Comment 13 Mikko Tiihonen 2016-01-12 13:43:16 EST
Created attachment 1114086 [details]
File: var_log_messages
Comment 14 Jan Kurik 2016-02-24 09:16:35 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 15 ddssantana89 2016-10-01 18:09:10 EDT
Similar problem has been detected:

My computer has a touchscreen (Gnome seldom have problems with it)- It's Lenovo YOGA 500. This time, a touched the screen to try scrolling an pdf file in evince, but it didn't work. So, I used my mouse (wireless one-Logitech).After that, the Gnome Shell restarted.

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/gnome-shell
global_pid:     1931
kernel:         4.7.4-200.fc24.x86_64
package:        gnome-shell-3.20.4-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Fedora End Of Life 2017-07-25 15:46:17 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2017-08-08 08:39:10 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.